Tools
Update tool
Update an existing tool
Authorization<token>
API key in the format: Bearer YOUR_API_KEY
In: header
Path Parameters
idstring
Tool ID
Format
uuidname?string
Length
1 <= length <= 255description?string
type?string
Value in
"http"config?
Response Body
application/json
application/json
curl -X PATCH "https://api.chorus-ai.co/v1/tools/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"type": "http",
"config": {
"url": "http://example.com",
"method": "GET",
"timeout": 5000,
"headers": [
{
"key": "string",
"value": "string"
}
],
"body": [
{
"name": "string",
"type": "string",
"description": "string",
"required": false
}
]
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"error": "string",
"details": [
{}
]
}Last updated on